Groups
Update Group
Use this method to modify a log group. You can change the name of the group and the access scope that defines the data that is accessible by members in that group.
PATCH
/
v1
/
config
/
groups
/
{groupId}
Update Group
curl --request PATCH \
--url https://api.mezmo.com/v1/config/groups/{groupId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'servicekey: <servicekey>' \
--data '
{
"name": "<string>",
"accessScopes": "<string>"
}
'import requests
url = "https://api.mezmo.com/v1/config/groups/{groupId}"
payload = {
"name": "<string>",
"accessScopes": "<string>"
}
headers = {
"servicekey": "<servicekey>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
servicekey: '<servicekey>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', accessScopes: '<string>'})
};
fetch('https://api.mezmo.com/v1/config/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}This response has no body data.Authorizations
AccessTokenservicekeyAuth
This key is used for all apis with the exception of ingest. You can obtain it following
these instructions and placing
the key in the header of your call in the format of Authorization: Token {accesstoken}
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
Headers
A provisioned service key for your account.
Path Parameters
ID of a group.
Body
application/json
Request parameters
Response
OK
⌘I
Update Group

